cliutils.h File Reference
`#include <stdio.h>`
`#include <popt.h>`
`#include <rpm/rpmutil.h>`
Include dependency graph for cliutils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | RETVAL(rc) (((rc) > 254) ? 254 : (rc))

## Functions

RPM_GNUC_NORETURN void | argerror (const char *desc)
void | printUsage (poptContext con, FILE *fp, int flags)
int | initPipe (void)
int | finishPipe (void)

## Macro Definition Documentation

#define RETVAL | ( |  | rc | ) | (((rc) > 254) ? 254 : (rc))

Definition at line 9 of file cliutils.h.

Referenced by main().

## Function Documentation

RPM_GNUC_NORETURN void argerror | ( | const char * | desc | ) |

Definition at line 19 of file cliutils.c.

References _, and __progname.

Referenced by main().

int finishPipe | ( | void |  | ) |

Definition at line 73 of file cliutils.c.

References pipeChild.

Referenced by main().

int initPipe | ( | void |  | ) |

Definition at line 48 of file cliutils.c.

References _, pipeChild, and rpmcliPipeOutput.

Referenced by main().

void printUsage | ( | poptContext | con,
|  | FILE * | fp,
|  | int | flags
| ) |  |

Definition at line 36 of file cliutils.c.

References printBanner(), printVersion(), and rpmIsVerbose.

Referenced by main().